Status: Resolved Priority: Must have
Author: Hari K T Category: Command
Created: 2011-08-27 Assigned To: Robert Lemke
Updated: 2011-09-06 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Typing help on FLOW3 shell exits
Description

I have typed ./flow3 flow3:core:shell and the shell prompt came .

When typing help , it throws the below error.

hari@hari-Vostro1510:/media/Linux/flow3$ ./flow3 flow3:core:shell
FLOW3 Interactive Shell

FLOW3 > help

Uncaught Exception in FLOW3 #1: Catchable Fatal Error: Argument 1 passed to
TYPO3\FLOW3\Command\CoreCommandController::echoSubProcessResponse() must be an array, null given, called in
/media/Linux/flow3/Packages/Framework/TYPO3.FLOW3/Classes/Command/CoreCommandController.php on line 246 and
defined in /media/Linux/flow3/Packages/Framework/TYPO3.FLOW3/Classes/Command/CoreCommandController.php line 303
thrown in file Packages/Framework/TYPO3.FLOW3/Classes/Error/ErrorHandler.php
in line 81
Reference code: 20110827084131a1af4f

#0 TYPO3\FLOW3\Error\DebugExceptionHandler::echoExceptionCli()
   /media/Linux/flow3/Packages/Framework/TYPO3.FLOW3/Classes/Error/AbstractExceptionHandler.php:60

#1 TYPO3\FLOW3\Error\AbstractExceptionHandler::handleException()

hari@hari-Vostro1510:/media/Linux/flow3$ ./flow3 flow3:core:shell
FLOW3 Interactive Shell

FLOW3 > 

Bye!
hari@hari-Vostro1510:/media/Linux/flow3$ 

Associated revisions
Revision 2b52d22e - 2011-09-06 11:48 - Robert Lemke

[BUGFIX] Interactive shell works again

The interactive shell (flow3:core:shell) could not launch
the sub process anymore because the name of the FLOW3 script
has changed from "flow3" to "flow3.php". Due to this, no
command could be executed within the interactive shell.

This change set adjusts the script name and all commands
should work again.

Change-Id: I35928b0b36a8cb4cb82f3520077a3d658794a10e
Resolves: #29292

History
#1 - 2011-08-29 21:24 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow
- Priority changed from Should have to Must have

#2 - 2011-08-29 21:24 - Karsten Dambekalns
- Subject changed from Typing help on shell exits to Typing help on FLOW3 shell exits
- Category set to Command
- Target version set to 1.0 beta 2

#3 - 2011-09-01 09:06 - Sebastian Kurfuerst

confirmed.

#4 - 2011-09-05 16:53 - Robert Lemke
- Status changed from New to Accepted
- Assigned To set to Robert Lemke

#5 - 2011-09-05 16:55 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I35928b0b36a8cb4cb82f3520077a3d658794a10e has been pushed to the review server.
It is available at http://review.typo3.org/4770

#6 - 2011-09-05 17:19 - Mr. Hudson

Patch set 2 of change I35928b0b36a8cb4cb82f3520077a3d658794a10e has been pushed to the review server.
It is available at http://review.typo3.org/4770

#7 - 2011-09-05 17:42 - Mr. Hudson

Patch set 3 of change I35928b0b36a8cb4cb82f3520077a3d658794a10e has been pushed to the review server.
It is available at http://review.typo3.org/4770

#8 - 2011-09-06 11:48 - Mr. Hudson

Patch set 4 of change I35928b0b36a8cb4cb82f3520077a3d658794a10e has been pushed to the review server.
It is available at http://review.typo3.org/4770

#9 - 2011-09-06 12:06 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2b52d22ee35312440284a09ed3557bd20c82ade7.
